Bug 224331 - Left hand tabs (Projects, Files, Navigator, etc...) don't honor the solid boundary around the IDE windows.
Left hand tabs (Projects, Files, Navigator, etc...) don't honor the solid bou...
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.3
Macintosh Mac OS X
: P3 (vote)
: 7.3.1
Assigned To: Stanislav Aubrecht
issues@platform
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-31 06:47 UTC by esmithbss
Modified: 2013-05-10 08:30 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screen capture of overlapping Navigator tab. (21.24 KB, image/tiff)
2012-12-31 06:49 UTC, esmithbss
Details
ugly sliding view border in 7.3 (52.52 KB, image/png)
2013-04-12 11:36 UTC, sirmax
Details
screenshot from dev build with fixes (35.50 KB, image/png)
2013-05-03 07:17 UTC, Tomas Danek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2012-12-31 06:47:28 UTC
Product Version = NetBeans IDE Dev (Build 201212280001)
Operating System = Mac OS X version 10.7.5 running on x86_64
Java; VM; Vendor = 1.7.0_10
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.6-b04


The tabs on the left hand side do not properly honor the wide boundary around the internal framed windows.  (See screen capture provided)

The tabs should honor the wide boundary and not cover it up.
Comment 1 esmithbss 2012-12-31 06:49:30 UTC
Created attachment 129777 [details]
screen capture of overlapping Navigator tab.
Comment 2 Stanislav Aubrecht 2013-01-08 16:00:58 UTC
core-main ac809a9a1bcf
Comment 3 Quality Engineering 2013-01-09 02:28:37 UTC
Integrated into 'main-golden', will be available in build *201301090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ac809a9a1bcf
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #224331 - invalid border in slidebar in Aqua l&f
Comment 4 sirmax 2013-04-12 11:34:10 UTC
I'm sorry, but the fix in http://hg.netbeans.org/main-golden/rev/ac809a9a1bcf made the overall look-and-feel worse, not better.

1. A nice solid dark-grey pre-7.3 border now looks as an ugly group of thin panels (see the screenshot attached).

2. The size of a sidebar is still a bit smaller than it should be to fit minimized panels properly. The `filler` component just makes it less noticeable by covering the whole border.
Comment 5 sirmax 2013-04-12 11:36:14 UTC
Created attachment 133472 [details]
ugly sliding view border in 7.3
Comment 6 Stanislav Aubrecht 2013-04-15 09:27:54 UTC
core-main b178ce8631fc
Comment 7 sirmax 2013-04-16 11:04:38 UTC
(In reply to comment #6)
> core-main b178ce8631fc

Stanislav, it seems to me that this fix undoes your fix for bug 220868. Is it ok?
Comment 8 Stanislav Aubrecht 2013-04-16 12:46:00 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > core-main b178ce8631fc
> 
> Stanislav, it seems to me that this fix undoes your fix for bug 220868. Is it
> ok?

Good point, I've reopened that issue.
Comment 9 Quality Engineering 2013-04-18 02:23:01 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b178ce8631fc
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #224331 - wrong slide bars on Aqua l&f
Comment 10 Tomas Danek 2013-05-03 07:17:17 UTC
Created attachment 134072 [details]
screenshot from dev build with fixes

I am not sure if I understood correctly this issue; But from what I see (attached screenshot), there's still an overlap, am I right?
Comment 11 Tomas Danek 2013-05-03 07:18:24 UTC
.. in  
Product Version: NetBeans IDE Dev (Build 201304292301)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b12
System: Mac OS X version 10.8.3 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/dev
Cache directory: /Users/tomas/Library/Caches/NetBeans/dev
Comment 12 Stanislav Aubrecht 2013-05-06 10:24:51 UTC
backported to release73 branch as dd908e809770


There might be a single pixel overlap in upper left corner but the main IDE window does look much better with this fix applied.
Comment 13 Quality Engineering 2013-05-07 00:19:48 UTC
Integrated into 'releases', will be available in build *201305062200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/dd908e809770
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #224331 - backport of b178ce8631fc
Comment 14 Tomas Danek 2013-05-10 08:30:44 UTC
agreed. Verified in 7.3 + patch 2
Product Version: NetBeans IDE 7.3.1 (Build 201305082200)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b12
System: Mac OS X version 10.8.3 running on x86_64; US-ASCII; en_US (nb)
User directory: /Users/tomas/Library/Application Support/NetBeans/7.3
Cache directory: /Users/tomas/Library/Caches/NetBeans/7.3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo